Haketilo - Feature #43

Replace common/sha256.js with crypto.subtle
07/02/2021 02:09 AM - jahoti

Status: Rejected
Priority: Low
Assignee: jahoti
Category:

Target version:

Start date: 07/02/2021
Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

All supported browsers provide built-in support for hashing and other cryptographic methods through built-in APIs. There are various
complexities (asynchrocity, no direct support for strings, etc.); however, these should be minor or non-issues if or when gen_unique

is reworked.

History

#1 - 07/06/2021 12:17 PM - jahoti

- Assignee set to jahoti

#2 - 07/14/2021 11:47 AM - jahoti

- Status changed from New to Rejected

As per RE: Coding convention this is dependent on dropping the use of unfixed verifiers ("unique values"), which is properly a security-related

discussion and not something currently being considered.
